<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>__del__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a2d9f61dd42566e52af4ff87a38e35e70">Car.Car</a></li>
<li>__init__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a06b56c5efe7ccb56f4ba6dc00067db1a">Car.Car</a>, <a class="el" href="classconfigure_1_1config.html#a113bc6fac40f3b6434d1e4a6161871fd">configure.config</a>, <a class="el" href="classMotion_1_1Motion.html#a5b14f16133a02be0bda8f603abbfac60">Motion.Motion</a>, <a class="el" href="classRoad_1_1Road.html#a30eb9093e5ae2f2ba2b489b85f8b35da">Road.Road</a>, <a class="el" href="classTiles_1_1Tiles.html#a7c85a4a169aad0f10632c14d8ca0c9f2">Tiles.Tiles</a>, <a class="el" href="classtraffic__light_1_1traffic__light.html#aa45d38121a8c8bbb68ce12d489396a61">traffic_light.traffic_light</a>, <a class="el" href="classTrafficLight_1_1traffic__light.html#af320a7c90844b4c5e04927da93ff7698">TrafficLight.traffic_light</a></li>
<li>__repr__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#adf3b69304a5474391c93bf3b36d72f22">Car.Car</a>, <a class="el" href="classTiles_1_1Tiles.html#a3a8eb0a7d44006ffe8c1773dae493698">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>get_color()&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aa78d158ad984303ba8f6d5347a28dcae">TrafficLight.traffic_light</a></li>
<li>get_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#aec0c1afb7df0a4f7876d8df3920f5970">Car.Car</a></li>
<li>get_light()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a119b518fa08ac411763cc0a289523c81">traffic_light.traffic_light</a></li>
<li>get_opposite_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#ad422c38711106143cea393eb4744193f">Car.Car</a></li>
<li>get_velocity()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a7ef7b85e3a1378cc6d8d3d00383124c6">Car.Car</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>move()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#aadd1efe9374525d459da23aee75b0862">Car.Car</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>nagel_down()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#add00522f5d42bee565ec1184128f740c">Motion.Motion</a></li>
<li>nagel_left()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#ae7667aec216f2492e82be98c1e9380d7">Motion.Motion</a></li>
<li>nagel_right()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a6bc8f921cc19dfb6de9b256be4420315">Motion.Motion</a></li>
<li>nagel_up()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a3812c4cd45e1ee03518952cfa2a25e23">Motion.Motion</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>rand_range()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a916a08c5f0182836f5f5490b85103be9">Rnd.Rnd</a></li>
<li>random_pick()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a86a171d146418819dab104d743bde50b">Rnd.Rnd</a></li>
<li>rule_break()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#ab2e6d2915d3e79f12a6ce9ca8ffcab5d">Rnd.Rnd</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>set_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a160b108e09dda6d64f5a5231c1729c07">Car.Car</a></li>
<li>set_light()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a9701e27cd712f77caab2e4f1d06879ed">traffic_light.traffic_light</a></li>
<li>set_velocity()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a4fd032ed8980a5c3accbdc103928e44e">Car.Car</a></li>
<li>show()&#160;:&#160;<a class="el" href="classRoad_1_1Road.html#a9d1c7f66d905545bbfe73c4cf7006c11">Road.Road</a></li>
<li>slow_down()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a611100c9b05808d6d34459818e327e22">Rnd.Rnd</a></li>
<li>spawn()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a40ebea6a49665a063330420fccee539b">Motion.Motion</a></li>
<li>spawn_car()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a8641357654f8d9bd794d68dee6db7dc8">Rnd.Rnd</a></li>
<li>speed_up()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#abe044fb113e2e7bf6db0f4d7601a419c">Rnd.Rnd</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>tick()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a095254c480b2b34bddf1ac239a75322d">traffic_light.traffic_light</a>, <a class="el" href="classTrafficLight_1_1traffic__light.html#a30a999052644d19f11d7f3da6d6ae62a">TrafficLight.traffic_light</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
